org.keycloak.services.clientregistration

## Class DefaultClientRegistrationProvider

- java.lang.Object
- - org.keycloak.services.clientregistration.AbstractClientRegistrationProvider
  - - org.keycloak.services.clientregistration.DefaultClientRegistrationProvider

- All Implemented Interfaces:
    Provider, ClientRegistrationProvider

      public class DefaultClientRegistrationProvider
      extends AbstractClientRegistrationProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.clientregistration.AbstractClientRegistrationProvider

      `auth, event, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientRegistrationProvider(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createDefault(ClientRepresentation client)`
    `void` | `deleteDefault(String clientId)`
    `javax.ws.rs.core.Response` | `getDefault(String clientId)`
    `javax.ws.rs.core.Response` | `updateDefault(String clientId, ClientRepresentation client)`

    - ### Methods inherited from class org.keycloak.services.clientregistration.AbstractClientRegistrationProvider

      `close, create, delete, get, getAuth, getEvent, setAuth, setEvent, update, validateClient, validateClient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultClientRegistrationProvider

          public DefaultClientRegistrationProvider(KeycloakSession session)

  - ### Method Detail

    - #### createDefault

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response createDefault(ClientRepresentation client)

    - #### getDefault

          @GET
           @Path(value="{clientId}")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getDefault(@PathParam(value="clientId")
                                                                                                                           String clientId)

    - #### updateDefault

          @PUT
           @Path(value="{clientId}")
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response updateDefault(@PathParam(value="clientId")
                                                                                                                                                                   String clientId,
                                                                                                                                                                   ClientRepresentation client)

    - #### deleteDefault

          @DELETE
           @Path(value="{clientId}")
          public void deleteDefault(@PathParam(value="clientId")
                                                                       String clientId)

Copyright © 2021 JBoss by Red Hat. All rights reserved.